
Packaging - Feature #33100

Feature # 33209 (New): Provide a common package prefix for plugins

Add a common prefix to all Foreman Proxy plugin RPM packages using Provides

07/21/2021 03:53 PM - Ewoud Kohl van Wijngaarden

Status: New   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Today we have (tfm-)rubygem-smart_proxy_$plugin. In Foreman plugins we have Provides: foreman-plugin-$plugin. This means we

can use the same name for both EL7 and EL8. I'd propose foreman-proxy-plugin-$plugin as a name.

Related issues:

Blocks Installer - Feature #33099: Use a common prefix for Foreman Proxy plugins New

History

#1 - 07/21/2021 03:55 PM - Ewoud Kohl van Wijngaarden

- Blocks Feature #33099: Use a common prefix for Foreman Proxy plugins added

#2 - 08/04/2021 02:31 PM - Ewoud Kohl van Wijngaarden

- Parent task set to #33209
